Package | Class | Use | Tree | Deprecated | Index | Help
| Doclet API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface ExecutableMemberDoc

All Superinterfaces:
  Comparable<Object>, Doc, MemberDoc, ProgramElementDoc

All Known Subinterfaces:
  AnnotationTypeElementDoc, ConstructorDoc, MethodDoc

    public interface ExecutableMemberDoc

extends MemberDoc

Represents a method or constructor of a java class.

Since:
  1.2

Method Summary
`String` | `flatSignature()` get flat signature.
`boolean` | `isNative()` Return true if this method is native
`boolean` | `isSynchronized()` Return true if this method is synchronized
`boolean` | `isVarArgs()` Return true if this method was declared to take a variable number of arguments.
`Parameter[]` | `parameters()` Get argument information.
`ParamTag[]` | `paramTags()` Return the param tags in this method, excluding the type parameter tags.
`String` | `signature()` Get the signature.
`ClassDoc[]` | `thrownExceptions()` Return exceptions this method or constructor throws.
`Type[]` | `thrownExceptionTypes()` Return exceptions this method or constructor throws.
`ThrowsTag[]` | `throwsTags()` Return the throws tags in this method.
`TypeVariable[]` | `typeParameters()` Return the formal type parameters of this method or constructor.
`ParamTag[]` | `typeParamTags()` Return the type parameter tags in this method.

Methods inherited from interface com.sun.javadoc.MemberDoc
`isSynthetic`

Methods inherited from interface com.sun.javadoc.ProgramElementDoc
`annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

Methods inherited from interface com.sun.javadoc.Doc
`commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

Method Detail

### thrownExceptions

    ClassDoc[] thrownExceptions()

  Return exceptions this method or constructor throws. If the type of the exception is a type variable, return the `ClassDoc` of its erasure.

  The `thrownExceptions` method cannot accommodate certain generic type constructs. The `thrownExceptionTypes` method should be used instead.

  Returns:
    an array of ClassDoc[] representing the exceptions thrown by this method.
  See Also:
    `thrownExceptionTypes()`

### thrownExceptionTypes

    Type[] thrownExceptionTypes()

  Return exceptions this method or constructor throws.

  Returns:
    an array representing the exceptions thrown by this method. Each array element is either a `ClassDoc` or a `TypeVariable`.
  Since:
    1.5

### isNative

    boolean isNative()

  Return true if this method is native

### isSynchronized

    boolean isSynchronized()

  Return true if this method is synchronized

### isVarArgs

    boolean isVarArgs()

  Return true if this method was declared to take a variable number of arguments.

  Since:
    1.5

### parameters

    Parameter[] parameters()

  Get argument information.

  Returns:
    an array of Parameter, one element per argument in the order the arguments are present.
  See Also:
    `Parameter`

### throwsTags

    ThrowsTag[] throwsTags()

  Return the throws tags in this method.

  Returns:
    an array of ThrowTag containing all `@exception` and `@throws` tags.

### paramTags

    ParamTag[] paramTags()

  Return the param tags in this method, excluding the type parameter tags.

  Returns:
    an array of ParamTag containing all `@param` tags corresponding to the parameters of this method.

### typeParamTags

    ParamTag[] typeParamTags()

  Return the type parameter tags in this method.

  Returns:
    an array of ParamTag containing all `@param` tags corresponding to the type parameters of this method.
  Since:
    1.5

### signature

    String signature()

  Get the signature. It is the parameter list, type is qualified. For instance, for a method `mymethod(String x, int y)`, it will return `(java.lang.String,int)`.

### flatSignature

    String flatSignature()

  get flat signature. all types are not qualified. return a String, which is the flat signiture of this member. It is the parameter list, type is not qualified. For instance, for a method `mymethod(String x, int y)`, it will return `(String, int)`.

### typeParameters

    TypeVariable[] typeParameters()

  Return the formal type parameters of this method or constructor. Return an empty array if this method or constructor is not generic.

  Returns:
    the formal type parameters of this method or constructor.
  Since:
    1.5

Package | Class | Use | Tree | Deprecated | Index | Help
| Doclet API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2010, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.